[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#894760: marked as done (apache2-bin: trying to overwrite '/usr/lib/apache2/modules/mod_md.so', which is also in package libapache2-mod-md 1.1.0-1)



Your message dated Sun, 22 Apr 2018 09:49:55 +0000
with message-id <E1fABd5-00087g-Rk@fasolo.debian.org>
and subject line Bug#894760: fixed in apache2 2.4.33-2
has caused the Debian Bug report #894760,
regarding apache2-bin: trying to overwrite '/usr/lib/apache2/modules/mod_md.so', which is also in package libapache2-mod-md 1.1.0-1
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org
immediately.)


-- 
894760: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=894760
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: apache2-bin
Version: 2.4.33-1
Severity: serious
Control: clone -1 -2
Control: retitle -2 apache2: trying to overwrite '/etc/apache2/mods-available/md.load', which is also in package libapache2-mod-md 1.1.0-1
Control: reassign -2 apache2 2.4.33-1

Hi,

Apache upstream now includes mod_md, but neither the apache2 nor the
apache2-bin package contain the according Breaks and Replaces fields
against libapache2-mod-md, hence the upgrade of apache2 and apache2-bin
fails as follows if libapache2-mod-md is already installed:

Preparing to unpack .../apache2_2.4.33-1_armhf.deb ...
[ ok ] Stopping Apache httpd web server: apache2.
Unpacking apache2 (2.4.33-1) over (2.4.29-2) ...
dpkg: error processing archive /var/cache/apt/archives/apache2_2.4.33-1_armhf.deb (--unpack):
 trying to overwrite '/etc/apache2/mods-available/md.load', which is also in package libapache2-mod-md 1.1.0-1
dpkg-deb: error: paste subprocess was killed by signal (Broken pipe)
[…]
Preparing to unpack .../apache2-bin_2.4.33-1_armhf.deb ...
Unpacking apache2-bin (2.4.33-1) over (2.4.29-2) ...
dpkg: error processing archive /var/cache/apt/archives/apache2-bin_2.4.33-1_armhf.deb (--unpack):
 trying to overwrite '/usr/lib/apache2/modules/mod_md.so', which is also in package libapache2-mod-md 1.1.0-1
dpkg-deb: error: paste subprocess was killed by signal (Broken pipe)
Preparing to unpack .../libp11-kit0_0.23.10-2_armhf.deb ...
Unpacking libp11-kit0:armhf (0.23.10-2) over (0.23.9-2) ...
Errors were encountered while processing:
 /var/cache/apt/archives/apache2_2.4.33-1_armhf.deb
 /var/cache/apt/archives/apache2-bin_2.4.33-1_armhf.deb

Uninstalling libapache2-mod-md beforehand (or even in the same aptitude
run) solves the issue.

(JFTR: Bug report written on a different machine and architecture
(amd64) than I ran into the bug (armhf).)

-- Package-specific info:
-- System Information:
Debian Release: buster/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (600, 'testing'), (500, 'unstable-debug'), (500, 'buildd-unstable'), (110, 'experimental'), (1, 'experimental-debug'), (1, 'buildd-experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 4.15.0-2-amd64 (SMP w/8 CPU cores)
Locale: LANG=C.UTF-8, LC_CTYPE=C.UTF-8 (charmap=UTF-8), LANGUAGE=C.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

Versions of packages apache2-bin depends on:
ii  libapr1                  1.6.3-2
ii  libaprutil1              1.6.1-2
ii  libaprutil1-dbd-sqlite3  1.6.1-2
ii  libaprutil1-ldap         1.6.1-2
ii  libbrotli1               1.0.3-1
ii  libc6                    2.27-3
ii  libcurl3                 7.58.0-2
ii  libjansson4              2.11-1
ii  libldap-2.4-2            2.4.45+dfsg-1
ii  liblua5.2-0              5.2.4-1.1+b2
ii  libnghttp2-14            1.31.0-1
ii  libpcre3                 2:8.39-9
ii  libssl1.1                1.1.0h-2
ii  libxml2                  2.9.4+dfsg1-6.1
ii  perl                     5.26.1-5
ii  zlib1g                   1:1.2.8.dfsg-5

apache2-bin recommends no packages.

Versions of packages apache2-bin suggests:
pn  apache2-doc                                      <none>
pn  apache2-suexec-pristine | apache2-suexec-custom  <none>
ii  chromium [www-browser]                           64.0.3282.119-2+b2
ii  conkeror [www-browser]                           1.0.4-1
ii  dillo [www-browser]                              3.0.5-4
ii  edbrowse [www-browser]                           3.7.2-1
ii  elinks [www-browser]                             0.12~pre6-13
ii  falkon [www-browser]                             3.0.0-3
ii  firefox [www-browser]                            59.0.2-1
ii  firefox-esr [www-browser]                        52.7.3esr-1
ii  hv3 [www-browser]                                3.0~fossil20110109-6
ii  konqueror [www-browser]                          4:17.08.3-2
ii  links [www-browser]                              2.15-1
ii  links2 [www-browser]                             2.15-1
ii  lynx [www-browser]                               2.8.9dev17-1
ii  netrik [www-browser]                             1.16.1-2+b1
ii  netsurf [www-browser]                            3.6-3.1
ii  netsurf-fb [www-browser]                         3.6-3.1
ii  netsurf-gtk [www-browser]                        3.6-3.1
ii  opera-beta [www-browser]                         52.0.2871.27
ii  opera-developer [www-browser]                    54.0.2913.0
ii  opera-stable [www-browser]                       52.0.2871.40
ii  surf [www-browser]                               2.0-5
ii  w3m [www-browser]                                0.5.3-36

Versions of packages apache2-bin is related to:
pn  apache2      <none>
ii  apache2-bin  2.4.33-1

-- no debconf information

--- End Message ---
--- Begin Message ---
Source: apache2
Source-Version: 2.4.33-2

We believe that the bug you reported is fixed in the latest version of
apache2, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 894760@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stefan Fritsch <sf@debian.org> (supplier of updated apache2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 22 Apr 2018 11:14:19 +0200
Source: apache2
Binary: apache2 apache2-data apache2-bin apache2-utils apache2-suexec-pristine apache2-suexec-custom apache2-doc apache2-dev apache2-ssl-dev apache2-dbg libapache2-mod-md libapache2-mod-proxy-uwsgi
Architecture: source amd64 all
Version: 2.4.33-2
Distribution: unstable
Urgency: medium
Maintainer: Debian Apache Maintainers <debian-apache@lists.debian.org>
Changed-By: Stefan Fritsch <sf@debian.org>
Description:
 apache2    - Apache HTTP Server
 apache2-bin - Apache HTTP Server (modules and other binary files)
 apache2-data - Apache HTTP Server (common files)
 apache2-dbg - Apache debugging symbols
 apache2-dev - Apache HTTP Server (development headers)
 apache2-doc - Apache HTTP Server (on-site documentation)
 apache2-ssl-dev - Apache HTTP Server (mod_ssl development headers)
 apache2-suexec-custom - Apache HTTP Server configurable suexec program for mod_suexec
 apache2-suexec-pristine - Apache HTTP Server standard suexec program for mod_suexec
 apache2-utils - Apache HTTP Server (utility programs for web servers)
 libapache2-mod-md - transitional package
 libapache2-mod-proxy-uwsgi - transitional package
Closes: 894760 894761 894785
Changes:
 apache2 (2.4.33-2) unstable; urgency=medium
 .
   * Add Replaces: and transitional packages for libapache2-mod-proxy-uwsgi
     and libapache2-mod-md.
     Closes: #894760, #894761, #894785
Checksums-Sha1:
 02b430c0eb6bd65931b5208d234f3d3e49f4f879 3278 apache2_2.4.33-2.dsc
 8101ff1c3977f64607fe6d314720ab3a884a424d 785772 apache2_2.4.33-2.debian.tar.xz
 f214edaea4976ddc9dc67aa9112ef11f38590a30 1301660 apache2-bin_2.4.33-2_amd64.deb
 a8391c9f04f180acdce8b06bb12e438a2734a3dd 161444 apache2-data_2.4.33-2_all.deb
 1aba4294b7b550045c83d37f5a64a762a1d2f8d7 4242832 apache2-dbg_2.4.33-2_amd64.deb
 53dc87d7d0e1fb6cff7d87d1631004a4021af284 323428 apache2-dev_2.4.33-2_amd64.deb
 fd1cd88b128494aaaa87d3b480d3d92f628b2bdf 3939044 apache2-doc_2.4.33-2_all.deb
 6c34f57d82764205c1eb5404e568089bb40e054c 2340 apache2-ssl-dev_2.4.33-2_amd64.deb
 f72b72841191b6e64d40d2320805fe3c79c1e693 164720 apache2-suexec-custom_2.4.33-2_amd64.deb
 98277c494b98b6850996cf3f42d26b9a5f4e85e6 163224 apache2-suexec-pristine_2.4.33-2_amd64.deb
 c996d1f20ed7b13629b4a18de01fe11d98d9b527 228336 apache2-utils_2.4.33-2_amd64.deb
 654fa8c5e51f135db8f29bf288b444a888001eaa 10878 apache2_2.4.33-2_amd64.buildinfo
 9460caa063a5aa54fc1998e50477a47850d280ba 244396 apache2_2.4.33-2_amd64.deb
 44c1bf364e6920f9d97b8927bb14dc3712c2b754 920 libapache2-mod-md_2.4.33-2_amd64.deb
 0e705e8a001816c3d7a6267bbcf79941871d2139 936 libapache2-mod-proxy-uwsgi_2.4.33-2_amd64.deb
Checksums-Sha256:
 b2d676f67205a8ecf84c074d1657576c8e4048f8bb6a451b2e2f2b94b0bc8037 3278 apache2_2.4.33-2.dsc
 3954f5e7c5530f66f7873a989118ca7e8dba87b41cbeecb2308d9b241faaebc5 785772 apache2_2.4.33-2.debian.tar.xz
 3ee5dcfb1b962c0c91632560f5a0b0f6542f87ffef9269ac123063ce66c15eb8 1301660 apache2-bin_2.4.33-2_amd64.deb
 0e93d9a477539de5c1fcf38ff67d539aa3348ba4db87406341a05784a51e9fe7 161444 apache2-data_2.4.33-2_all.deb
 9c71584d50c1864e1f91914bf2febb20c16810aec709b715d9704df1e8aab066 4242832 apache2-dbg_2.4.33-2_amd64.deb
 340b645233e8542f19467965ac57ebaaae8f2066864e2937279737244770e3c9 323428 apache2-dev_2.4.33-2_amd64.deb
 c3cf47f2504cfb87b8ce9229ddb0a73c6afe93f19fecb00852cd3e5cc16a9c10 3939044 apache2-doc_2.4.33-2_all.deb
 5657217014eaa4ea4584fed98e2aae37d6d2dd5528b1abf178a7770565a0259c 2340 apache2-ssl-dev_2.4.33-2_amd64.deb
 8f50074d3e466bcbceb2841b97ac701cef194c48da5dad55918e24eec408d2c5 164720 apache2-suexec-custom_2.4.33-2_amd64.deb
 b16a49c35e509b8ea77e438daefec4670ed2df6e0a192630389c7f649d5ef11b 163224 apache2-suexec-pristine_2.4.33-2_amd64.deb
 d8774a0d20d487f7076a0b1122d1c7009de67c01eeaa5a32226c6ef611d36026 228336 apache2-utils_2.4.33-2_amd64.deb
 dffe28db85884f7b49a63c8bedb863aad353168a615c5272eb7c68000abef8c2 10878 apache2_2.4.33-2_amd64.buildinfo
 e4226acfc82d48edf8b66eb655ce7f10aeb9e8f552b22b00d20802dc6f1383ad 244396 apache2_2.4.33-2_amd64.deb
 d95bb9f3b54fe7b4e314aa49c21198712211920c1b5509b479fcf8e506f4020c 920 libapache2-mod-md_2.4.33-2_amd64.deb
 8fd305bdc25832c53d85a08fe2fc6ea0dab625dd5d79c82ce3c45cc5533fda27 936 libapache2-mod-proxy-uwsgi_2.4.33-2_amd64.deb
Files:
 43ce87f3a131c167fb509821ea9f290c 3278 httpd optional apache2_2.4.33-2.dsc
 7aab90663b3abf75aa493f3bf1de8029 785772 httpd optional apache2_2.4.33-2.debian.tar.xz
 1773c14dc5289c5d1c16846ac8c2e006 1301660 httpd optional apache2-bin_2.4.33-2_amd64.deb
 fb89575b595ae28ab3bd07782b2a4fdf 161444 httpd optional apache2-data_2.4.33-2_all.deb
 3566d7433c4f515570f825615f6ab365 4242832 debug optional apache2-dbg_2.4.33-2_amd64.deb
 c45fd87bce803e99779ea73ad4b1acd5 323428 httpd optional apache2-dev_2.4.33-2_amd64.deb
 d9fb43b75d0317a5de54970edf21dd66 3939044 doc optional apache2-doc_2.4.33-2_all.deb
 74f39fde186bee8b42bc6eeef4401d78 2340 httpd optional apache2-ssl-dev_2.4.33-2_amd64.deb
 2cdc4fd9a718052da6dcc9016ac4b382 164720 httpd optional apache2-suexec-custom_2.4.33-2_amd64.deb
 3280a5e37367bfab9bb82b5420bbae81 163224 httpd optional apache2-suexec-pristine_2.4.33-2_amd64.deb
 5f517c6c2bda5987a5e80297c0f8354a 228336 httpd optional apache2-utils_2.4.33-2_amd64.deb
 9503ec7a22e47b38c55396c22ae4ace5 10878 httpd optional apache2_2.4.33-2_amd64.buildinfo
 23beda26061048e60b160a4b27fcba1c 244396 httpd optional apache2_2.4.33-2_amd64.deb
 a6973a1a09ec4f3942ce91a87cec07a1 920 oldlibs optional libapache2-mod-md_2.4.33-2_amd64.deb
 23afa9d39fc0f53ae77bb1c83de856d7 936 oldlibs optional libapache2-mod-proxy-uwsgi_2.4.33-2_amd64.deb

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEOpiNza8JqByyYYsxxodfNUHO/eAFAlrcV10ACgkQxodfNUHO
/eBBthAAk+r9QsrTSx9tVjED6Ar+uFialv19CBnmXDIOxgWvdtcZaHP6StH9e4cf
Atfr4/caauYslpFw+QHJ2oZtV2Fk/WtOOUeTfqhuYO8BYsuYvalBZoHWeVVwo2Z9
fnf4G4MA5sMkT//n0EWnGLZtyPvgaplKJoP7rNgptSXdwRIbDceFmMpt/cYXKGZ3
Gm6P7bOCOCKjZdUY00P3Zj9mJL4D1VdAjomRlk2lwK0cDbLwy2rI6lVWmPduBN2y
9G3FPhOVRk6SguGcp7kTxqIlj68x+ePidkERWD9UQuHriwsfFhWtHoEcklPLIwmk
p97XySku4Tn8o0CtX0OIKQaapSpUfIxz7G/cp4UNx65Fvy+QAOAX9Dc6Yp/Wvn10
ZmAEgUWDktxgyNgC/MqhvDeNBeHvybNRyg0BpMKuRkzKrUMc/Ehx9zqdOIpIxyE3
CzwBn9PA2fSe3KxSanPjuDFa23sOg27FXmEGfUnsKwu36WSFH1dJluLlLP28gX+3
Wn2MHhiAQ5sA3/cMYZqjOlz3ZUXM5m6gtS1wCuziK2rEtkVzQuw2JwsuZbsuejIY
BeEaMzljBEygIURnIHlAt9YON+lCMh0e+glF1GjVOeiMXdVQljJ8AJQZPaaRHza+
UZEhuqSjzSBbAc0f2ekvlgJH1nXsQvhX8M9pV+vQvhpewG2nmxk=
=vBmZ
-----END PGP SIGNATURE-----

--- End Message ---

Reply to: